SPI_palloc()

NAME
SPI_palloc - allocate memory in the upper executor context

SYNOPSIS

void * SPI_palloc(Size size)

DESCRIPTION

SPI_palloc allocates memory in the upper executor context.

ARGUMENTS

Size size
    size in bytes of storage to allocate

RETURN VALUE

pointer to new storage space of the specified size